package com.gic.haoban.manage.service.service.hm;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.qdto.hm.WxUserAddLogQDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.WxUserAddLogSearchQDTO;
import com.gic.haoban.manage.service.pojo.bo.hm.WxUserAddLogBO;

/**
 * 
 * @ClassName: TabHaobanWxUserAddLogMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月04日 14:07:32
 * @Modify
 * @CopyRight 
 */
public interface WxUserAddLogService {

    /**
     * 
    * @Title: save
    * @Description: 添加记录
    * @author xugh
    * @param qdto
    * @throws
     */
    public void save(WxUserAddLogQDTO qdto);
    
    public void updateMemberInfo(String wxEnterpriseId , String wxUserId , String externalUserid , String memberId) ;
    
    /**
     * 
    * @Title: page
    * @Description: 分页列表查询
    * @author xugh
    * @param qdto
    * @param pageInfo
    * @return
    * @throws
     */
    public Page<WxUserAddLogBO> page(WxUserAddLogSearchQDTO qdto, BasePageInfo pageInfo);
}